#
# $Id$
#
%define perlvendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define srcname rpmbootstrap

Summary:	Tool similar to debootstrap for RPM based distributions
Summary(fr):	La cmde rpmbootstrap crée un chroot pour une distro RPM donnée

Name:		rpmbootstrap
Version:	0.12.2
Release:	%mkrel 2
License:	GPLv2
Group:		System/Packaging
Url:		http://trac.project-builder.org
Source:		ftp://ftp.project-builder.org/src/%{srcname}-%{version}.tar.gz
BuildArch:	noarch
Requires:	perl >= 5.8.4,perl-ProjectBuilder,perl-libwww-perl,wget

%description
It helps building a chrooted environment for RPM based distributions
in a similar way as debootstrap for deb based distributions.

%description -l fr
La commande rpmbootstrap crée un environnement chrooté pour la distribution
RPM concernée.
Il est similaire à debootstrap pour les distributions .deb

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/ 
make

%install
%makeinstall_std
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%check
make test

%files
%doc NEWS AUTHORS
%doc INSTALL COPYING README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.12.2-2.mga4
+ Revision: 522387
- Mageia 4 Mass Rebuild

* Thu Feb 28 2013 bcornec <bcornec> 0.12.2-1.mga3
+ Revision: 400604
- Updated to upstream 0.12.2

* Tue Jan 22 2013 fwang <fwang> 0.11.3-3.mga3
+ Revision: 390806
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.11.3-2.mga3
+ Revision: 380457
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 tv <tv> 0.11.3-1.mga2
+ Revision: 135191
- new release

* Mon Mar 21 2011 bcornec <bcornec> 0.11.2-1.mga1
+ Revision: 75271
- Update to upstream rpmbootstrap 0.11.2

* Sat Feb 12 2011 bcornec <bcornec> 0.10.1-1.mga1
+ Revision: 50869
- Created package structure for rpmbootstrap.

